import java.util.Observer;

import hydraulic.*;

public class ExampleApp {

	public static void main(String args[]){
		
		Observer obs = new HSObserver();
		HSystem s = new HSystem(obs);
	
		// 1) the elements of the system are defined and added
		Source src = new Source("Src");
		s.addElement(src);
		Tap r = new Tap("Tap");
		s.addElement(r);
		Sink sink = new Sink("Sink");
		s.addElement(sink);
		
		// 2) elements are then connected
		src.connect(r);
		r.connect(sink);
		
		// 3) simulation parameters are then defined
		src.setFlow(10);
		r.setOpen(true);
		
		// 4) simulation starts
		s.simulate();
	}
}
