package hydraulic;

public class Split extends Element {

	//private Element[] outputs;
	
	public Split(String name) {
		super(name,2);
	}
    
    public Element[] getOutputs(){
        return super.getOutputs();
    }

	public void connect(Element elem, int output){
		super.connect(elem,output);
	}

	@Override
	public void simulate(double inputFlow) {
		
		double outputFlow = inputFlow / 2;
		
		setChanged();
		HEvent event = new HEvent(this,inputFlow,new double[]{outputFlow,outputFlow});
		notifyObservers(event);
		
		for(Element e : getOutputs()){
			e.simulate(outputFlow);
		}
		
	}
}
