package hydraulic;

public class Tap extends Element {

	private boolean open;
	
	public Tap(String name) {
		super(name);
	}
	
	public void setOpen(boolean open){
		this.open = open;
	}

	@Override
	public void simulate(double inputFlow) {
		double outputFlow;
		
		if(open) outputFlow = inputFlow;
		else outputFlow = 0.0;

		setChanged();
		HEvent event = new HEvent(this,inputFlow,outputFlow);
		notifyObservers(event);

		getOutput().simulate(outputFlow);
	}

}
