package it.polito.po.test;
import java.util.Observable;
import java.util.Observer;

import hydraulic.*;
import junit.framework.TestCase;


public class TestR2_ElementiSemplici extends TestCase {

	public void testNomeElemento(){
		String name="Test";
		Element el = new Element(name);
		
		assertEquals(name,el.getName());
	}

	public void testElementi(){
		HSystem s = new HSystem(new Observer(){public void update(Observable s,Object e){}});
		Source src = new Source("Src");		
		Tap tap = new Tap("Tap");		
		Sink sink = new Sink("Sink");		
		s.addElement(src);
		s.addElement(tap);
		s.addElement(sink);
		
		src.connect(tap);
		tap.connect(sink);
		
		assertSame(tap,src.getOutput());
		assertSame(sink,tap.getOutput());
	}
}
